Bug 2113861 - After node re-created, some ovn annotations are not found for the node and due to that pod is in crashloop
Summary: After node re-created, some ovn annotations are not found for the node and du...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.10
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.10.z
Assignee: Ben Bennett
QA Contact: Polina Rabinovich
URL:
Whiteboard:
Depends On: 2113860
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-08-02 07:54 UTC by Miguel Duarte Barroso
Modified: 2023-09-18 04:43 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 2068910
Environment:
Last Closed: 2023-02-22 09:42:35 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift ovn-kubernetes pull 1227 0 None Merged [release-4.10] Bug 2113861: reconcile-node-lbs 2023-02-15 10:57:46 UTC

Comment 3 Polina Rabinovich 2022-08-30 07:07:13 UTC
yes, sure. @anusaxen

Comment 5 Polina Rabinovich 2022-09-01 11:15:06 UTC
must gather from the poison-pill stuff while the issue occurs - http://rhos-compute-node-10.lab.eng.rdu2.redhat.com/logs/BZ-2113861-pp-must-gather-while-issue
must gather from the poison-pill stuff after the issue occurs - http://rhos-compute-node-10.lab.eng.rdu2.redhat.com/logs/BZ-2113861-pp-must-gather-after-issue
must gather (regular) while the issue occurs -  http://rhos-compute-node-10.lab.eng.rdu2.redhat.com/logs/BZ-2113861-regular-must-gather-while-issue
must gather (regular) after the issue occurs - http://rhos-compute-node-10.lab.eng.rdu2.redhat.com/logs/BZ-2113861-must-gather-regular-after-issue

Issue still occurs.

Comment 7 Polina Rabinovich 2022-09-06 11:30:20 UTC
I've tested this bug, however, it still doesn't work.. 
I spoke with Miguel Duarte Barroso, he said that he will fix it after his vacation.

Comment 8 Miguel Duarte Barroso 2022-09-13 07:29:19 UTC
I looked at the provided must gather and I can see the node service endpoints were re-created - thus the fix is there.

... unfortunately something else is still broken in 4.10 after my proposed fix. 

I need to do more debugging to figure out what is wrong here - right now, I don't know.

Comment 11 Martin Kennelly 2023-02-22 09:42:35 UTC
Talked to reporter (Polina) of this issue and she believes it is fixed. THe issue hasnt re-occurred for her. Closing.

Comment 12 Red Hat Bugzilla 2023-09-18 04:43:36 UTC
The needinfo request[s] on this closed bug have been removed as they have been unresolved for 120 days


Note You need to log in before you can comment on or make changes to this bug.